Skip to content

按技术查找域名

POST /v3/domain_analytics/technologies/domains_by_technology/live

本接口通过指定技术、技术分类、技术组或,查找使用技术的网站域名,并返回域名的技术画像、所属国家和语言、网站数据、联系信息及数据。

请求方式与路径:

http
POST https://api.seermartech.cn/v3/domain_analytics/technologies/domains_by_technology/live

计费说明

每次请求均会产生费用。示例响应中的任务成本为 0.018 USD,按参考汇率换算后约为 ¥0.1296 / 次

扣费以响应头 X-SeerMarTech-Charge-CNY 为准。

请求说明

  • 请求体使用 UTF-8 编码的 JSON 格式。
  • POST 请求体是 JSON 数组。
  • 每次 Live API 请求只能一个任务。 平台限流以认证说明中的 30/60/120 次/分钟规则为准。
  • 可通过 limitoffsetoffset_token 控制返回结果范围。
  • technology_pathsgroupscategoriestechnologieskeywords 至少设置一个。

请求参数

参数类型说明
technology_pathsarray目标技术路径。未指定 groupstechnologieskeywordscategories 时填。每个技术路径应为 pathname 的对象 path 格式为 $group_id.$category_idname 为目标技术名称。最多指定 10 个技术路径。
groupsarray目标技术组 ID。未指定 technologiestechnology_pathskeywordscategories 时填。最多指定 10 个技术组。
categoriesarray目标技术分类 ID。未指定 groupstechnology_pathstechnologieskeywords 时填。最多指定 10 个技术分类。
technologiesarray目标技术名称。未指定 groupstechnology_pathskeywordscategories 时填。最多指定 10 个技术。
keywordsarray用于匹域名标题、描述或的目标。未指定筛选条件时填。最多指定 10 个,使用 UTF-8 编码。
modestring搜索模式。可选值:as_is:精确匹指定的技术组 ID、分类 ID 或技术名称;entry:匹指定值的一部分。默认值为 as_is
filtersarray结果过滤条件。最多同时设置 8 个过滤条件。多个条件之间使用逻辑运算符 andor 连接。
order_byarray结果排序规则。可排序字段:domain_rankdomainlast_visitedcountry_iso_codelanguage_codecontent_language_code。排序方向为 ascdesc。最多设置 3 条排序规则。
limitinteger返回域名的最大数量。默认值为 100,最大值为 10000
offsetinteger结果偏移量。默认值为 0。例如设置为 10 时,将跳过前 10 条结果。最大值为 9999,且 limit + offset 不得 10000
offset_tokenstring用于获取后续结果的令牌。该值由上一次响应中的同名字段返回。使用此参数时,请求参数与上一次请求保持一致。

完整的技术组、技术分类及技术名称列表,请参考技术列表接口。

技术路径示例

json
"technology_paths": [
  {
    "path": "1.2",
    "name": "WordPress"
  },
  {
    "path": "3.4",
    "name": "Nginx"
  }
]

过滤条件

支持以下运算符:

text
<、<=、>、>=、=、<>、in、not_in、like、not_like

likenot_like 支持使用 % 匹任意长度的字符串。

示例:

json
"filters": [
  ["country_iso_code", "=", "US"],
  "and",
  ["domain_rank", ">", 800]
]

多个条件也可以使用 or

json
"filters": [
  ["language_code", "=", "en"],
  "or",
  ["content_language_code", "=", "de"]
]

排序示例

json
"order_by": [
  "last_visited,desc",
  "domain_rank,desc"
]

默认排序规则:

json
[
  "domain_rank,desc"
]

请求示例

json
[
  {
    "technologies": [
      "Nginx"
    ],
    "filters": [
      ["country_iso_code", "=", "US"],
      "and",
      ["domain_rank", ">", 800]
    ],
    "order_by": [
      "last_visited,desc"
    ],
    "limit": 10
  }
]

响应字段

接口返回 JSON 数据,顶层 tasks 数组。

顶层字段

字段类型说明
versionstring当前 API 版本。
status_codeinteger请求整体状态码。
status_messagestring请求整体状态信息。
timestring请求执行耗时,单位为秒。
costfloat平台原始 USD 成本兼容字段;人民币实扣以 X-SeerMarTech-Charge-CNY 为准。
tasks_countintegertasks 数组中的任务总数。
tasks_errorintegertasks 数组中执行失败的任务数。
tasksarray任务结果数组。

任务字段

字段类型说明
idstring任务唯一标识,UUID 格式。
status_codeinteger任务状态码,范围为 10000-60000
status_messagestring任务状态信息。
timestring任务执行耗时,单位为秒。
costfloat平台原始 USD 成本兼容字段;人民币实扣以 X-SeerMarTech-Charge-CNY 为准。
result_countintegerresult 数组中的数量。
patharray请求 URL 路径信息。
dataobject本次请求中提交的参数。
resultarray任务结果数组。

result 字段

字段类型说明
total_countinteger数据库中符合条件的结果总数。
items_countinteger当前结果中的项目数量。
offsetinteger当前使用的结果偏移量。
offset_tokenstring用于获取后续结果的令牌。
itemsarray域名结果列表。

items 字段

字段类型说明
typestring结果类型,固定为 domain_technology_item
domainstring域名。
titlestring域名的 Meta Title。
descriptionstring域名的 Meta Description。
meta_keywordsarray域名的 Meta Keywords。
domain_rankstring目标域名的反向链接排名指标。
last_visitedstring爬虫最近访问该域名的时间,UTC 格式:yyyy-mm-dd hh-mm-ss +00:00
country_iso_codestring域名所属国家或地区的 ISO 代码。
language_codestring域名语言代码。
content_language_codestring网站语言代码。
phone_numbersarray网站中检测到的联系电话号码。
emailsarray网站中检测到的电子邮箱地址。
social_graph_urlsarray网站社交媒体链接或账号地址。
technologiesobject域名使用的技术及分类信息。

technologies 对象按技术组和技术分类组织,例如:

  • servers:服务器技术
  • content:管理系统和博客系统
  • web_development:Web 开发技术
  • add_ons:插件、主题及扩展
  • analytics:分析
  • marketing:营销自动化和邮件
  • communication:沟通及在线聊天
  • sales:销售及电子商务

技术名称和对象结构,请参考技术列表接口。

完整响应示例

json
{
  "version": "0.1.20220819",
  "status_code": 20000,
  "status_message": "Ok.",
  "time": "1.3918 sec.",
  "cost": 0.1296,
  "tasks_count": 1,
  "tasks_error": 0,
  "tasks": [
    {
      "id": "01234567-89ab-cdef-0123-456789abcdef",
      "status_code": 20000,
      "status_message": "Ok.",
      "time": "1.3918 sec.",
      "cost": 0.1296,
      "result_count": 1,
      "path": [
        "v3",
        "domain_analytics",
        "technologies",
        "domains_by_technology",
        "live"
      ],
      "data": {
        "api": "domain_analytics",
        "function": "domains_by_technology",
        "se": "technologies",
        "technologies": [
          "Nginx"
        ],
        "filters": [
          ["country_iso_code", "=", "US"],
          "and",
          ["domain_rank", ">", 800]
        ],
        "order_by": [
          "last_visited,desc"
        ],
        "limit": 10
      },
      "result": [
        {
          "total_count": 1250,
          "items_count": 1,
          "offset": 0,
          "offset_token": "eyJvZmZzZXQiOjEwfQ==",
          "items": [
            {
              "type": "domain_technology_item",
              "domain": "example.com",
              "title": "Example Domain",
              "description": "Example domain description.",
              "meta_keywords": null,
              "domain_rank": 878,
              "last_visited": "2022-09-21 20:13:43 +00:00",
              "country_iso_code": "US",
              "language_code": "en",
              "content_language_code": "en",
              "phone_numbers": null,
              "emails": null,
              "social_graph_urls": null,
              "technologies": {
                "servers": {
                  "web_servers": [
                    "Nginx"
                  ],
                  "reverse_proxies": [],
                  "databases": []
                },
                "content": {
                  "cms": [],
                  "blogs": []
                },
                "web_development": {
                  "javascript_libraries": [],
                  "programming_languages": []
                }
              }
            }
          ]
        }
      ]
    }
  ]
}

错误处理

请根据顶层和任务级别的 status_codestatus_message 判断请求是否成功,并为异常状态设计重试、告警和降级机制。

常见成功状态码:

text
20000

完整错误码列表请参考错误码文档。

调用示例

cURL

bash
curl --location --request POST \
  "https://api.seermartech.cn/v3/domain_analytics/technologies/domains_by_technology/live" \
  --header "Authorization: Bearer smt_live_YOUR_KEY" \
  --header "Content-Type: application/json" \
  --data-raw '[
    {
      "technologies": ["Nginx"],
      "filters": [
        ["country_iso_code", "=", "US"],
        "and",
        ["domain_rank", ">", 800]
      ],
      "order_by": ["last_visited,desc"],
      "limit": 10
    }
  ]'

Python

python
import requests

url = "https://api.seermartech.cn/v3/domain_analytics/technologies/domains_by_technology/live"

headers = {
    "Authorization": "Bearer smt_live_YOUR_KEY",
    "Content-Type": "application/json",
}

payload = [
    {
        "technologies": ["Nginx"],
        "filters": [
            ["country_iso_code", "=", "US"],
            "and",
            ["domain_rank", ">", 800],
        ],
        "order_by": ["last_visited,desc"],
        "limit": 10,
    }
]

response = requests.post(url, headers=headers, json=payload)
data = response.json()

if data.get("status_code") == 20000:
    print(data)
else:
    print(
        "请求失败:",
        data.get("status_code"),
        data.get("status_message"),
    )

TypeScript

typescript
import axios from "axios";

const payload = [
  {
    technologies: ["Nginx"],
    filters: [
      ["country_iso_code", "=", "US"],
      "and",
      ["domain_rank", ">", 800],
    ],
    order_by: ["last_visited,desc"],
    limit: 10,
  },
];

axios
  .post(
    "https://api.seermartech.cn/v3/domain_analytics/technologies/domains_by_technology/live",
    payload,
    {
      headers: {
        Authorization: "Bearer smt_live_YOUR_KEY",
        "Content-Type": "application/json",
      },
    }
  )
  .then((response) => {
    // 处理响应数据
    console.log(response.data);
  })
  .catch((error) => {
    console.error("请求失败:", error.response?.data || error.message);
  });

PHP

php
<?php

$url = "https://api.seermartech.cn/v3/domain_analytics/technologies/domains_by_technology/live";

$payload = [
    [
        "technologies" => ["Nginx"],
        "filters" => [
            ["country_iso_code", "=", "US"],
            "and",
            ["domain_rank", ">", 800]
        ],
        "order_by" => ["last_visited,desc"],
        "limit" => 10
    ]
];

$ch = curl_init($url);

curl_setopt_array($ch, [
    CURLOPT_POST => true,
    CURLOPT_RETURNTRANSFER => true,
    CURLOPT_HTTPHEADER => [
        "Authorization: Bearer smt_live_YOUR_KEY",
        "Content-Type: application/json"
    ],
    CURLOPT_POSTFIELDS => json_encode($payload, JSON_UNESCAPED_UNICODE)
]);

$response = curl_exec($ch);
curl_close($ch);

$result = json_decode($response, true);

if (($result["status_code"] ?? null) === 20000) {
    print_r($result);
} else {
    echo "请求失败:" . ($result["status_message"] ?? "未知错误");
}

C#

csharp
using System.Net.Http;
using System.Net.Http.Headers;
using System.Text;
using System.Text.Json;

var client = new HttpClient();

client.DefaultRequestHeaders.Authorization =
    new AuthenticationHeaderValue("Bearer", "smt_live_YOUR_KEY");

var payload = new[]
{
    new
    {
        technologies = new[] { "Nginx" },
        filters = new object[]
        {
            new object[] { "country_iso_code", "=", "US" },
            "and",
            new object[] { "domain_rank", ">", 800 }
        },
        order_by = new[] { "last_visited,desc" },
        limit = 10
    }
};

var json = JsonSerializer.Serialize(payload);
var content = new StringContent(json, Encoding.UTF8, "application/json");

var response = await client.PostAsync(
    "https://api.seermartech.cn/v3/domain_analytics/technologies/domains_by_technology/live",
    content
);

var result = await response.Content.ReadAsStringAsync();
Console.WriteLine(result);

实用场景

  • 筛选使用指定技术栈的域名,构建技术生态市场规模和潜在客户名单。
  • 定位使用特定 CMS、服务器或营销的网站,支持竞品研究、销售拓展和技术迁移商机挖掘。
  • 结合国家、语言和语言过滤域名,建立面向特定市场的本地化网站数据库。
  • 按域名排名和最近访问时间排序结果,优分析高质量、近期仍活跃的网站。
  • 提取网站邮箱、电话和社交媒体地址,补企业线索信息并提升外联效率。

统一入口:官网 · LLM API · 控制台